xchpst(8)

NAME
xchpst.fake - fake xchpst that passes compatible arguments to chpst

SYNOPSIS
xchpst.fake [XCHPST-OPTIONS] -@ [CHPST-OPTIONS] [--] [COMMAND ...]

DESCRIPTION

The xchpst.fake script strips all options preceding the -@ separator and passes the remainder of the arguments to chpst(8).

The purpose of this script is to allow runscripts to take advantage of xchpst's advanced hardening features when the 'xchpst' package is installed and fall back to only the classical chpst features otherwise, without having to have conditionality in the runscripts which might reduce their readability.

To be useful, xchpst.fake should be installed as /usr/bin/xchpst.

EXIT STATUS
The exit status is the return code from chpst or the target command.

EXAMPLES
The following command,
    exec xchpst --cap-bs-keep CAP_SYS_TIME -@ -p 4 -- myntpd -D
in the absence of the real xchpst tool, is equivalent to:
    exec chpst -p 4 -- myntpd -D

AUTHORS
-nosplit Andrew Bower <andrew@bower.uk>

BUGS
Please raise bug reports at: https://gitlab.com/abower/xchpst/-/issues